package com.ym.mec.user;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.user.fallback.UserFeignServiceFallback;

@FeignClient(name = "web-server", contextId = "UserFeignService", configuration = FeignConfiguration.class, fallback = UserFeignServiceFallback.class)
public interface UserFeignService {

	@GetMapping(value = "api/createCashAccount/{userId}")
	public Boolean createCashAccount(@PathVariable("userId") Integer userId);
}
